Bug 665455 - [abrt] policycoreutils-gui-2.0.83-28.fc14: seobject.py:1936:get_all:TypeError: 'int' object is not iterable
Summary: [abrt] policycoreutils-gui-2.0.83-28.fc14: seobject.py:1936:get_all:TypeError...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: policycoreutils
Version: 14
Hardware: i686
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:8c5855ca
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-23 21:21 UTC by MoonlitSky1031
Modified: 2011-03-19 10:26 UTC (History)
2 users (show)

Fixed In Version: policycoreutils-2.0.85-19.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-19 10:26:25 UTC


Attachments (Terms of Use)
File: backtrace (878 bytes, text/plain)
2010-12-23 21:21 UTC, MoonlitSky1031
no flags Details

Description MoonlitSky1031 2010-12-23 21:21:02 UTC
abrt version: 1.1.13
architecture: i686
cmdline: /usr/bin/python -Es /usr/share/system-config-selinux/system-config-selinux.py
component: policycoreutils
executable: /usr/share/system-config-selinux/system-config-selinux.py
kernel: 2.6.35.6-45.fc14.i686
package: policycoreutils-gui-2.0.83-28.fc14
reason: seobject.py:1936:get_all:TypeError: 'int' object is not iterable
release: Fedora release 14 (Laughlin)
time: 1293134702
uid: 0

backtrace
-----
seobject.py:1936:get_all:TypeError: 'int' object is not iterable

Traceback (most recent call last):
  File "/usr/share/system-config-selinux/system-config-selinux.py", line 186, in <module>
    app = childWindow()
  File "/usr/share/system-config-selinux/system-config-selinux.py", line 85, in __init__
    self.add_page(booleansPage.booleansPage(xml))
  File "/usr/share/system-config-selinux/booleansPage.py", line 139, in __init__
    self.load(self.filter)
  File "/usr/share/system-config-selinux/booleansPage.py", line 202, in load
    booleansList = self.booleans.get_all(self.local)
  File "/usr/lib/python2.7/site-packages/seobject.py", line 1936, in get_all
    (rc, self.blist) = semanage_bool_list(self.sh)
TypeError: 'int' object is not iterable

Local variables in innermost frame:
locallist: False
ddict: {}
self: <seobject.booleanRecords instance at 0xa642c2c>

Comment 1 MoonlitSky1031 2010-12-23 21:21:05 UTC
Created attachment 470471 [details]
File: backtrace

Comment 2 Daniel Walsh 2010-12-28 20:27:59 UTC
Can you get this to happen repeatedly?  What were you doing when this happened?

Comment 3 Daniel Walsh 2011-03-09 21:41:01 UTC
Fixed in policycoreutils-2.0.85-19.fc14

Comment 4 Fedora Update System 2011-03-09 21:56:00 UTC
policycoreutils-2.0.85-19.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/policycoreutils-2.0.85-19.fc14

Comment 5 Fedora Update System 2011-03-19 10:26:01 UTC
policycoreutils-2.0.85-19.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.